gi-gdk3-3.0.30: Gdk 3.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gdk.Structs.WindowRedirect

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Synopsis

- newtype WindowRedirect = WindowRedirect (ManagedPtr WindowRedirect)

# Exported types

newtype WindowRedirect Source #

Memory-managed wrapper type.

Constructors

WindowRedirect (ManagedPtr WindowRedirect) |

#### Instances

Instances details

Eq WindowRedirect Source # |
Instance details Defined in GI.Gdk.Structs.WindowRedirect Methods (==) :: WindowRedirect -> WindowRedirect -> Bool Source # (/=) :: WindowRedirect -> WindowRedirect -> Bool Source #
BoxedPtr WindowRedirect Source # |
Instance details Defined in GI.Gdk.Structs.WindowRedirect Methods boxedPtrCopy :: WindowRedirect -> IO WindowRedirect Source # boxedPtrFree :: WindowRedirect -> IO () Source #
ManagedPtrNewtype WindowRedirect Source # |
Instance details Defined in GI.Gdk.Structs.WindowRedirect Methods toManagedPtr :: WindowRedirect -> ManagedPtr WindowRedirect Source #

# Methods